## fbcat 0.2

=== Makefile ===
CFLAGS = -Wall -O2 -g

C_FILES = $(wildcard *.c)
O_FILES = $(C_FILES:.c=.o)

.PHONY: all
all: fbcat

fbcat: $(O_FILES)

.PHONY: clean
clean:
	$(RM) fbcat *.o

# vim:ts=4 sw=4 noet

=== doc/Makefile ===
XSL = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
XMLLINT = /usr/bin/xmllint --valid --noout --nonet
XSLTPROC = /usr/bin/xsltproc --nonet --param man.charmap.use.subset 0

XML_FILES = $(wildcard *.xml)
MAN_FILES = $(XML_FILES:.xml=.1)

.PHONY: all
all: $(MAN_FILES)

%.1: %.xml
	$(XMLLINT) $(<)
	$(XSLTPROC) $(XSL) $(<)

# vim:ts=4

=== debian/changelog ===
fbcat (0.2-2) unstable; urgency=low

  * Add explicit build-dependency on linux-libc-dev.
  * debian/control: s/image/screenshot/ in description.
  * Add /usr/share/bug/fbcat script.
  * Switch to 3.0 (quilt) source package format.

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Mon, 28 Dec 2009 17:22:22 +0100

fbcat (0.2-1) unstable; urgency=low

  * Initial release (closes: #545375).

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Thu, 10 Sep 2009 11:59:52 +0200

=== debian/control ===
Source: fbcat
Section: graphics
Priority: extra
Maintainer: Piotr Lewandowski <piotr.lewandowski@gmail.com>
Uploaders: Luca Bruno <lucab@debian.org>
Build-Depends: debhelper (>= 7), docbook-xml (>= 4.5), docbook-xsl, xsltproc, libxml2-utils, linux-libc-dev
Standards-Version: 3.8.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/fbcat.git
Vcs-Git: git://git.debian.org/collab-maint/fbcat.git
Homepage: http://fbcat.googlecode.com/

Package: fbcat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: fbgrab (<< 1.0.0-6)
Provides: fbgrab 
Replaces: fbgrab (<< 1.0.0-6)
Recommends: netpbm | graphicsmagick | imagemagick
Description: framebuffer grabber
 fbcat grabs a screenshot of a framebuffer and stores in a PPM file.
 .
 This package also provides a compatibility wrapper around fbcat to ease
 migration from fbgrab.

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh build --until dh_auto_build
	$(MAKE) -C doc
	dh build --remaining

%:
	dh $@

# vim:ts=4 sw=4

=== debian/watch ===
version=3

http://code.google.com/p/fbcat/downloads/list \
  http://fbcat[.]googlecode[.]com/files/fbcat-([0-9.]+)[.]tar[.]gz

## fbcat 0.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-CFLAGS = -Wall -O2 -g
+CFLAGS ?= -g -O2
+CFLAGS += -Wall
 
 C_FILES = $(wildcard *.c)
 O_FILES = $(C_FILES:.c=.o)

=== doc/Makefile ===
XSL = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
XSLTPROC = /usr/bin/xsltproc --nonet --param man.charmap.use.subset 0

XML_FILES = $(wildcard *.xml)
MAN_FILES = $(XML_FILES:.xml=.1)

.PHONY: all
all: $(MAN_FILES)

%.1: %.xml
	$(XSLTPROC) $(XSL) $(<)

.PHONY: clean
clean:
	rm -f $(MAN_FILES)

# vim:ts=4

=== debian/changelog ===
fbcat (0.3-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #565156)
  * debian/control:
      - Build-Depends field debhelper-compat bumped level to 13.
      - Bumped Standards-versions to 4.5.0.
      - Changed Priority from extra to optional.

 -- Paulo Farias <paulofarias98b@gmail.com>  Sat, 09 May 2020 15:30:37 -0300

fbcat (0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper 7' to 'debhelper-compat 12' in
        Build-Depends field.
  * debian/control:
      - bumped Standards-Version to 4.4.1.
      - updated the homepage field. Thanks to Jakub Wilk <jwilk@debian.org>
        (Closes: #783970)
  * debian/rules: replaced a deprecated option (--until and --remaining)
      to use an override_dh_auto_build. Thanks to
      Niels Thykier <niels@thykier.net> (Closes: #932529)
  * debian/watch: full updated. Thanks to Jakub Wilk <jwilk@debian.org>
      (Closes: #749865)

 -- Thiago Andrade Marques <thmarques@gmail.com>  Wed, 16 Oct 2019 22:37:54 -0300

fbcat (0.3-1) unstable; urgency=low

  * New upstream version
  * Honour DEB_BUILD_OPTIONS (Closes: #652978)

 -- Luca Bruno <lucab@debian.org>  Sun, 13 May 2012 23:01:08 +0200

fbcat (0.2-3) unstable; urgency=low

  * Bump standards version to 3.9.3 (no changes needed).
  * Update Jakub Wilk's address. 
  * Update debian/watch.
  * Update debian/copyright to conform to the new standard.
  * debian/rules: fix build-arch target (closes: #652979). Thanks Jakub Wilk!

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Mon, 12 Mar 2012 15:06:26 +0000

=== debian/control ===
Source: fbcat
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), docbook-xml (>= 4.5), docbook-xsl, xsltproc, libxml2-utils, linux-libc-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 4.5.0
Vcs-Browser: http://git.debian.org/?p=collab-maint/fbcat.git
Vcs-Git: git://git.debian.org/collab-maint/fbcat.git
Homepage: https://jwilk.net/software/fbcat

Package: fbcat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: fbgrab
Provides: fbgrab 
Replaces: fbgrab
Recommends: netpbm | graphicsmagick | imagemagick
Description: framebuffer grabber
 fbcat grabs a screenshot of a framebuffer and stores in a PPM file.
 .
 This package also provides a compatibility wrapper around fbcat to ease
 migration from fbgrab.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

build build-arch:
override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc

%:
	dh $@

# vim:ts=4 sw=4

=== debian/watch ===
version=4
https://github.com/jwilk/fbcat/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## fbcat 0.5.1

=== Makefile ===
# Copyright © 2009-2017 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

CFLAGS ?= -g -O2
CFLAGS += -Wall -Wextra
CFLAGS += -D_FILE_OFFSET_BITS=64

PREFIX = /usr/local
DESTDIR =

.PHONY: all
all: fbcat

fbcat: fbcat.o
	$(LINK.c) $(^) $(LDLIBS) -o $(@)

.PHONY: install
install: fbcat
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m755 fbcat $(DESTDIR)$(PREFIX)/bin/fbcat
	install -m755 fbgrab $(DESTDIR)$(PREFIX)/bin/fbgrab
ifeq "$(wildcard .git doc/fbcat.1 doc/fbgrab.1)" ".git"
	# run "$(MAKE) -C doc" to build the manpages
else
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m644 doc/fbcat.1 $(DESTDIR)$(PREFIX)/share/man/man1/fbcat.1
	install -m644 doc/fbgrab.1 $(DESTDIR)$(PREFIX)/share/man/man1/fbgrab.1
endif

.PHONY: clean
clean:
	rm -f fbcat *.o

# vim:ts=4 sts=4 sw=4 noet

=== doc/Makefile ===
xsl = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
xsltproc = xsltproc --nonet \
	--param man.charmap.use.subset 0 \
	--param man.copyright.section.enabled 0 \

xml_files = $(wildcard *.xml)
man_files = $(xml_files:.xml=.1)

.PHONY: all
all: $(man_files)

%.1: %.xml
	$(xsltproc) $(xsl) $(<)

.PHONY: validate
validate: $(xml_files)
	xmllint --nonet --noout --valid $(^)

.PHONY: clean
clean:
	rm -f $(man_files)

# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
fbcat (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * New Maintainer (Closes: #565156)
  * Update homepage URL
  * Update debhelper to 10
  * Update rules to build with newer compat version
  * Update watch to use upstream github
  * Update copyright dates and homepage
  * Fix gbp old-style config

 -- Micheal Waltz <ecliptik@gmail.com>  Mon, 08 Mar 2021 17:24:41 -0800

=== debian/control ===
Source: fbcat
Section: graphics
Priority: optional
Maintainer: Luca Bruno <lucab@debian.org>
Uploaders: Micheal Waltz <ecliptik@gmail.com>
Build-Depends: debhelper (>= 7), docbook-xml (>= 4.5), docbook-xsl, xsltproc, libxml2-utils, linux-libc-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/fbcat
Homepage: https://jwilk.net/software/fbcat

Package: fbcat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: fbgrab
Provides: fbgrab
Replaces: fbgrab
Recommends: netpbm | graphicsmagick | imagemagick
Description: framebuffer grabber
 fbcat grabs a screenshot of a framebuffer and stores in a PPM file.
 .
 This package also provides a compatibility wrapper around fbcat to ease
 migration from fbgrab.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

execute_after_dh_auto_build:
	$(MAKE) -C doc

# vim:ts=4 sw=4

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/jwilk/fbcat/tags .*/v?(\d\S+)\.tar\.gz
